[template] Add work-on script to driver template.

The user-guide references the work-on script, but it's currently
not in the template repo. Adding it here.

Change-Id: Iae23ecb9a893e35d0e9adb5e100a3a3d32280795
Reviewed-on: https://fuchsia-review.googlesource.com/c/template/driver/+/997520
Reviewed-by: Chase Latta <chaselatta@google.com>
diff --git a/tools/work-on b/tools/work-on
new file mode 100755
index 0000000..1ab087c
--- /dev/null
+++ b/tools/work-on
@@ -0,0 +1,17 @@
+#!/bin/bash
+# Copyright 2024 The Fuchsia Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+#
+# A tool which will prepare the users development environment
+
+set -e
+
+
+main() {
+    local scripts_dir
+    scripts_dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+    "${scripts_dir}/bazel" run "@fuchsia_sdk//fuchsia/private/workflows:work_on" -- "$@"
+}
+
+main "$@"